import { jsx } from "react/jsx-runtime";
import { TokenPURSE as TokenPURSE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenPURSE = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "PURSE", "data-name": "TokenPURSE", ...props, children: /* @__PURE__ */ jsx(TokenPURSE$1, { variant }) });
  }
);
TokenPURSE.displayName = "TokenPURSE";
Object.assign(TokenPURSE, { isGdsIcon: true });
export {
  TokenPURSE
};
